Package Gnumed :: Package wxpython :: Module gmDateTimeInput :: Class cIntervalPhraseWheel |
[frames] | no frames]

# Class cIntervalPhraseWheel

source code

                   wx.TextCtrl --+
                                 |
    gmPhraseWheel.cPhraseWheelBase --+
                                     |
            gmPhraseWheel.cPhraseWheel --+
                                         |
                                        cIntervalPhraseWheel

Instance Methods
__init__(self, *args, **kwargs) | source code
SetValue(self, value) | source code
SetText(self, value='', data=None, suppress_smarts=False) | source code
SetData(self, data=None) Set the data and thereby set the value, too. | source code
GetData(self) Retrieve the data associated with the displayed string(s). | source code
Inherited from `gmPhraseWheel.cPhraseWheelBase`: `Disable`, `Enable`, `add_callback_on_lose_focus`, `add_callback_on_modified`, `add_callback_on_selection`, `add_callback_on_set_focus`, `display_as_valid`, `enable_default_spellchecker`, `set_context`, `set_from_instance`, `set_from_pk`, `unset_context`

Class Variables
Inherited from `gmPhraseWheel.cPhraseWheelBase`: `accepted_chars`, `data`, `final_regex`, `final_regex_error_msg`, `speller_word_separators`, `static_tooltip_extra`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmPhraseWheel.cPhraseWheelBase.__init__

### SetText(self, value='', data=None, suppress_smarts=False) | source code
Overrides: gmPhraseWheel.cPhraseWheelBase.SetText

### SetData(self, data=None) | source code
Set the data and thereby set the value, too. if possible. If you call SetData() you better be prepared doing a scan of the entire potential match space. The whole thing will only work if data is found in the match space anyways. Overrides: gmPhraseWheel.cPhraseWheel.SetData (inherited documentation)

### GetData(self) | source code
    Retrieve the data associated with the displayed string(s).

    - self._create_data() must set self.data if possible (/successful)
Overrides: gmPhraseWheel.cPhraseWheelBase.GetData (inherited documentation)